using HarmonyLib;
using HMLLibrary;
using UnityEngine;

public class Fruit_Seeds : Mod
{
    public void Start()
    {
        AddCraftingRecipe(ItemManager.GetItemByName("Seed_Banana"), 2, CraftingCategory.FoodWater, false, false, new CostMultiple(new Item_Base[] { ItemManager.GetItemByName("Banana") }, 1));
        AddCraftingRecipe(ItemManager.GetItemByName("Seed_Strawberry"), 2, CraftingCategory.FoodWater, false, false, new CostMultiple(new Item_Base[] { ItemManager.GetItemByName("Strawberry") }, 1));
        AddCraftingRecipe(ItemManager.GetItemByName("Seed_Watermelon"), 2, CraftingCategory.FoodWater, false, false, new CostMultiple(new Item_Base[] { ItemManager.GetItemByName("Watermelon") }, 1));
        AddCraftingRecipe(ItemManager.GetItemByName("Seed_Mango"), 2, CraftingCategory.FoodWater, false, false, new CostMultiple(new Item_Base[] { ItemManager.GetItemByName("Mango") }, 1));
        AddCraftingRecipe(ItemManager.GetItemByName("Seed_Pineapple"), 2, CraftingCategory.FoodWater, false, false, new CostMultiple(new Item_Base[] { ItemManager.GetItemByName("Pineapple") }, 1));
        AddCraftingRecipe(ItemManager.GetItemByName("Seed_Palm"), 2, CraftingCategory.FoodWater, false, false, new CostMultiple(new Item_Base[] { ItemManager.GetItemByName("Coconut") }, 1));
        AddCraftingRecipe(ItemManager.GetItemByName("Seed_Pineapple"), 2, CraftingCategory.FoodWater, false, false, new CostMultiple(new Item_Base[] { ItemManager.GetItemByName("Pineapple") }, 1));

        Debug.Log("Mod Fruit_Seeds has been loaded!");
    }

    public void OnModUnload()
    {
        Debug.Log("Mod Fruit_Seeds has been unloaded!");
    }

    public static void AddCraftingRecipe(Item_Base resultItem, int resultCount, CraftingCategory craftingCategory, bool learned, bool learnedFromBeginning, params CostMultiple[] recipe)
    {
        Traverse.Create(resultItem.settings_recipe).Field("amountToCraft").SetValue(resultCount);
        Traverse.Create(resultItem.settings_recipe).Field("craftingCategory").SetValue(craftingCategory);
        Traverse.Create(resultItem.settings_recipe).Field("learned").SetValue(learned);
        Traverse.Create(resultItem.settings_recipe).Field("learnedFromBeginning").SetValue(learnedFromBeginning);
        Traverse.Create(resultItem.settings_recipe).Field("newCostToCraft").SetValue(recipe);
    }
}